﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.LiveFX.Client;

namespace LiveFrameworkExtensions
{
    public static class MeshExtensions
    {
        public static ICollection<MeshObject> GetApplicationInstanceMeshObjects(this Mesh mesh)
        {
            return (from meshobj in mesh.MeshObjects.Entries
                    where meshobj.Resource.Type == MeshObjectTypes.ApplicationInstance
                    select meshobj).ToList();
        }

        public static ICollection<MeshObject> GetFolderMeshObjects(this Mesh mesh)
        {
            return (from meshobj in mesh.MeshObjects.Entries
                    where meshobj.Resource.Type == MeshObjectTypes.LiveMeshFolder
                    select meshobj).ToList();
        }
    }
}
