﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.LiveFX.Client;

namespace LiveFrameworkExtensions
{
    public static class MeshObjectExtensions
    {
        public static Mesh GetMesh(this MeshObject meshobj)
        {
            return meshobj.LiveOperatingEnvironment.Mesh;
        }

        public static ICollection<DataFeed> GetFilesChildFeeds(this MeshObject meshobj)
        {
            return (from feed in meshobj.DataFeeds.Entries
                    where feed.Resource.Type == DataFeedTypes.LiveMeshFiles
                    select feed).ToList();
        }
    }
}
